skip to Main Content

Comment corriger l’erreur « êtes-vous sûr de vouloir faire ça » de WordPress

Divi : le thème WordPress le plus facile à utiliser

Divi : Le meilleur thème WordPress de tous les temps !

Avec plus de 701.000 téléchargements, Divi est le thème WordPress le plus populaire au monde. Il est complet, facile à utiliser et livré avec plus de 62 templates gratuits. [ Recommandé ]

L’une des pages d’erreur WordPress que vous avez probablement rencontré et dont l’origine est diverse est :

« Etes-vous sûr de vouloir faire ça ? »

Ce qui est frustrant avec cette erreur particulière, est que cela pourrait signifier que vous avez fait une petite erreur réparable ou pas, que vous avez été piraté (mais en général c’est un problème de sécurité qui peut facilement être corrigé).

Aujourd’hui, nous allons découvrir le sens de cette erreur mystérieuse, quand et pourquoi cela se produit, ainsi que des techniques de corrections.

Source de l’erreur

Malheureusement, l’erreur « Etes-vous sûr de vouloir faire ça? » peut se produire lorsque que vous essayez d’accomplir une grande variété de tâches:

  • La publication d’articles ou pages
  • Insertion d’une image dans un article
  • Personnalisation d’un thème
  • Création d’étiquettes ou de catégories
  • Télécharger d’un thème ou d’un plugin
  • Mise à jour de WordPress ou des plugins et des thèmes

Ce n’est pas une liste complète exhaustive, mais elle devrait vous donner une bonne idée du moment durant lequel cette erreur pourrait se produire.

Lorsque l’erreur apparaît, la seule chose qui est affiché n’est rien d’autre qu’un lien pour essayer à nouveau, cependant, une seconde tentative ne fonctionne généralement pas.

voulez-vous-vraiment-faire-cela-wordpress

Il peut sembler que c’est une erreur bizarre dans sa formulation, car elle n’est pas spécifique. Le phrasé est logique, car il y a tellement de causes potentielles et la plupart du temps, il y a une erreur qui en est à l’origine. Soit vous faites une erreur ou le développeur qui a créé les plugins et les thèmes que vous utilisez sont à l’origine.

Quel est le rapport avec la sécurité ?

Dans de nombreux cas, l’erreur apparaît lorsque vous essayez d’effectuer une action qui nécessite certaines autorisations d’utilisateur, mais WordPress n’est pas en mesure de vérifier que vous avez accès.

Créez Facilement votre site Web avec Elementor

Elementor vous permet de créer facilement n'importe quel design de site Web avec un look professionnel. Arrêtez de payer cher pour ce que vous pouvez faire vous-même. [ Gratuit ]

WordPress utilise des jetons de sécurité, souvent appelés nonces. Ils sont utilisés pour valider un utilisateur afin de vérifier qu’ils sont le propriétaire de leur compte et ils ont le rôle d’utilisateur correct pour compléter l’action qu’ils ont commencé.

Si WordPress n’est pas en mesure de vérifier les jetons de sécurité, l’erreur s’affiche.

Si votre site fait l’objet d’une attaque, en particulier dans les cas d’un cross-site scripting (XSS) ou cross-site request forgery (CSRF), l’erreur sera visible durant l’attaque.

Elle pourrait également se produire si un plugin ou un thème a une vulnérabilité de sécurité ou ne sont pas correctement codés.

Si cela est la cause, l’installation et l’utilisation d’un module de sécurité comme « Defender » peut vous aider à localiser et corriger la vulnérabilité et mettre fin à une attaque en quelques clics. Pour les autres causes de l’erreur, vous pouvez essayer les étapes de dépannage suivantes.

Piste de dépannages

Jetons un coup d’œil à plusieurs méthodes de dépannage et des correctifs pour vous aider à résoudre cette erreur. Et si vous rencontrez des problèmes le long du chemin, contactez notre équipe d’assistance.

Cherchez-vous les meilleurs thèmes et plugins WordPress ?

Téléchargez les meilleurs plugins et thèmes WordPress sur Envato et créez facilement votre site web. Déjà plus de 49.720.000 de téléchargements. [EXCLUSIF]

Correctif # 1: vider votre mémoire cache

Ce n’est pas toujours une solution qui fonctionne, mais parfois tout ce qu’il faut pour résoudre cette erreur est de vider le cache de votre navigateur. Si cela ne fonctionne pas, vous pouvez essayer d’effacer vos cookies également.

Correctif # 2: Erreur durant l’envoi d’un plugin ou d’un thème

Si vous avez essayé de télécharger un thème ou un plugin et que l’erreur est survenue, la cause la plus probable est que vous avez essayé de télécharger un pack de plugins ou de thèmes plutôt que le fichier ZIP pour seulement le thème ou plugin.

Ces pack incluent souvent le thème ou le fichier ZIP du plugin ainsi que d’autres documents utiles tels que les instructions, le contenu de démonstration, les informations de licence et d’autres fichiers similaires. Décompressez le paquet, puis essayer de télécharger le plugin ou le thème que vous trouverez parmi les fichiers extraits.

Correctif # 3: La mémoire de PHP a été atteinte

En fonction des plugins et de leurs fonctionnalités, il est probable que votre installation de WordPress n’arrive pas à exécuter une tâche avec le peu de mémoire allouée. Il sera donc dans certains cas nécessaires que votre installation dispose d’une plus grosse mémoire, tâche que vous pouvez faire depuis le cPanel.

Correctif # 4: Activez un thème par défaut

Vous pouvez également essayer d’activer le thème WordPress par défaut si vous utilisez l’un des thèmes disponible dans le répertoire de thèmes WordPress ou celui fait par un développeur et vendu (premium).

Dans le cas où vous rencontrez des problèmes pour accéder à vos plugins, vous pouvez accéder aux fichiers de votre site par FTP, SSH ou cPanel. Renommer le dossier de votre thème sous « wp-content/themes/votre-thème/ » pour le désactiver et activer un thème (présent) par défaut comme thème actif.

Dans l’extrait de chemin précédent, « votre-thème » renvoi au nom de votre thème actif actuel. Vous devez vous assurer de mettre un nom qui n’est pas si distinct que cela du nom originale.

Correctif # 5: supprimer ou désactiver votre Plugins

De même, vous pouvez voir si tous les plugins que vous utilisez sont la cause de l’erreur. Parfois, la désactivation de chaque ne corrigera pas souvent le problème, même s’ils en sont la cause, de sorte que vous soyez obligé de tous les supprimer pour régler le problème.

Si vous n’avez pas accès à la page des plugins de votre blog, vous pouvez utiliser le FTP, le SSH ou cPanel pour supprimer les dossiers que vous trouverez sous « /wp-content/plugins/ ». Vous pouvez également renommer ce dossier tout simplement.

Créez Facilement votre Boutique en ligne

Téléchargez gratuitement WooCommerce, le meilleurs plugins e-commerce pour vendre vos produits physiques et numériques sur WordPress. [Recommandé]

Vous pouvez essayer une méthode d’activation progressive des plugins installés, cela vous permettra d’identifier la source de ces conflits.

Quand vous identifiez l’erreur, voilà comment vous pouvez déterminer que la dernière version du plugin que vous avez installé était le coupable. À ce stade, vous devez contacter le développeur du plugin afin qu’ils puissent résoudre le problème.

C’est tout pour ce tutoriel, j’espère qu’il vous permettra d’éviter cette page d’erreur sur WordPress.

Cet article comporte 0 commentaires

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.

Back To Top